source("~/git/LSHTM_analysis/config/gid.R")
source("~/git/LSHTM_analysis/scripts/plotting/get_plotting_dfs.R")

################################
# Logo plot with custom Y axis
# mainly OR
# script: logoP.R
################################
LogoPlotCustomH (plot_df = merged_df3
                            , x_axis_colname = "position"
                            , y_axis_colname = "or_mychisq"
                            , symbol_colname = "mutant_type"
                            , y_axis_log  = F
                            , log_value = log10
                            , y_axis_increment = 5
                            , rm_empty_y = F
                            , my_logo_col = 'chemistry'
                            , x_lab = "Wild-type position"
                            , y_lab = "Odds Ratio"
                            , x_ats = 12 # text size
                            , x_tangle = 90 # text angle
                            , y_ats = 22
                            , y_tangle = 0
                            , x_tts = 19 # title size
                            , y_tts = 22
                            #, leg_pos = c(0.05,-0.12)
                            , leg_pos = "top"
                            , leg_dir = "horizontal"
                            , leg_ts = 15 # leg text size
                            , leg_tts = 16 # leg title size
)


########################################
# Logo plot showing nsSNPs by positions
# wild-type and mutant aa
# script: logoP_snp.R
########################################
LogoPlotSnps(plot_df = merged_df3
             , x_axis_colname = "position"
             , symbol_mut_colname = "mutant_type"
             , symbol_wt_colname = "wild_type"
             , omit_snp_count = c(0)# can be 1, 2, etc.
             , my_logo_col = "chemistry"
             , x_lab = "Wild-type position"
             , y_lab = ""
             , x_ats = 13 # text size
             , x_tangle = 90 # text angle
             , y_ats = 20
             , y_tangle = 0
             , x_tts = 18 # title size
             , y_tts = 18
             , leg_pos = "top" # can be top, left, right and bottom or c(0.8, 0.9)
             , leg_dir = "horizontal" # can be vertical or horizontal
             , leg_ts = 14 # leg text size
             , leg_tts = 16 # leg title size
)

